
_set_up:

;locking_7seg.c,18 :: 		void set_up() { //funcion de configuracion del microcontrolador Pic16F887
;locking_7seg.c,20 :: 		ANSEL = 0;   // Pin RA2 se configura como una entrada analgica
	CLRF       ANSEL+0
;locking_7seg.c,21 :: 		ANSELH = 0;    // Los dems pines se configuran como digitales
	CLRF       ANSELH+0
;locking_7seg.c,22 :: 		C1ON_bit = 0;    // se desactivan los comparadores analgicos
	BCF        C1ON_bit+0, BitPos(C1ON_bit+0)
;locking_7seg.c,23 :: 		C2ON_bit = 0;
	BCF        C2ON_bit+0, BitPos(C2ON_bit+0)
;locking_7seg.c,24 :: 		CCP1CON = 0;   //PWM1 y PWM2 desactivados.
	CLRF       CCP1CON+0
;locking_7seg.c,25 :: 		CCP2CON = 0;
	CLRF       CCP2CON+0
;locking_7seg.c,26 :: 		TRISB = 0;     // declara al puerto B como salida
	CLRF       TRISB+0
;locking_7seg.c,27 :: 		PORTB = 0;     // limpia el puerto B.
	CLRF       PORTB+0
;locking_7seg.c,28 :: 		TRISD = 0x80;  // el pin 7 del puerto D se declara como entrada el resto como
	MOVLW      128
	MOVWF      TRISD+0
;locking_7seg.c,29 :: 		PORTD = 0;     // salida y se limia el resto de pines
	CLRF       PORTD+0
;locking_7seg.c,30 :: 		TRISA1_bit=0;    // Pin 1 del puerto A se delcara como salida
	BCF        TRISA1_bit+0, BitPos(TRISA1_bit+0)
;locking_7seg.c,31 :: 		TRISA3_bit=0;    // pin 3 del puerto A se delcara como salida
	BCF        TRISA3_bit+0, BitPos(TRISA3_bit+0)
;locking_7seg.c,32 :: 		RA1_bit=0;
	BCF        RA1_bit+0, BitPos(RA1_bit+0)
;locking_7seg.c,33 :: 		RA3_bit=0;
	BCF        RA3_bit+0, BitPos(RA3_bit+0)
;locking_7seg.c,34 :: 		TRISE0_bit=1;  // el pin 0 del puerto E es declarado como entrada
	BSF        TRISE0_bit+0, BitPos(TRISE0_bit+0)
;locking_7seg.c,35 :: 		TRISE1_bit=1;  // el pin 1 del puerto E es declarado como entrada
	BSF        TRISE1_bit+0, BitPos(TRISE1_bit+0)
;locking_7seg.c,36 :: 		TRISE2_bit=1;  // el pin 2 del puerto E es declarado como entrada
	BSF        TRISE2_bit+0, BitPos(TRISE2_bit+0)
;locking_7seg.c,37 :: 		}
L_end_set_up:
	RETURN
; end of _set_up

_display0:

;locking_7seg.c,38 :: 		void display0() {
;locking_7seg.c,39 :: 		PORTD = 1;//para catodo comn  PORTD=1 para anodo comn PORTD=14 ;
	MOVLW      1
	MOVWF      PORTD+0
;locking_7seg.c,40 :: 		PORTB = display[n3] ;
	MOVF       _n3+0, 0
	ADDLW      _display+0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      PORTB+0
;locking_7seg.c,41 :: 		delay_ms(2);
	MOVLW      3
	MOVWF      R12+0
	MOVLW      151
	MOVWF      R13+0
L_display00:
	DECFSZ     R13+0, 1
	GOTO       L_display00
	DECFSZ     R12+0, 1
	GOTO       L_display00
	NOP
	NOP
;locking_7seg.c,42 :: 		PORTD = 2;//para catodo comn  PORTD=1 para anodo comn PORTD=14 ;
	MOVLW      2
	MOVWF      PORTD+0
;locking_7seg.c,43 :: 		PORTB = display[n2] ;
	MOVF       _n2+0, 0
	ADDLW      _display+0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      PORTB+0
;locking_7seg.c,44 :: 		delay_ms(2);
	MOVLW      3
	MOVWF      R12+0
	MOVLW      151
	MOVWF      R13+0
L_display01:
	DECFSZ     R13+0, 1
	GOTO       L_display01
	DECFSZ     R12+0, 1
	GOTO       L_display01
	NOP
	NOP
;locking_7seg.c,45 :: 		PORTD = 4;//para catodo comn  PORTD=1 para anodo comn PORTD=14 ;
	MOVLW      4
	MOVWF      PORTD+0
;locking_7seg.c,46 :: 		PORTB = display[n1] ;
	MOVF       _n1+0, 0
	ADDLW      _display+0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      PORTB+0
;locking_7seg.c,47 :: 		delay_ms(2);
	MOVLW      3
	MOVWF      R12+0
	MOVLW      151
	MOVWF      R13+0
L_display02:
	DECFSZ     R13+0, 1
	GOTO       L_display02
	DECFSZ     R12+0, 1
	GOTO       L_display02
	NOP
	NOP
;locking_7seg.c,48 :: 		PORTD = 8;//para catodo comn  PORTD=1 para anodo comn PORTD=14 ;
	MOVLW      8
	MOVWF      PORTD+0
;locking_7seg.c,49 :: 		PORTB = display[n0] ;
	MOVF       _n0+0, 0
	ADDLW      _display+0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      PORTB+0
;locking_7seg.c,50 :: 		delay_ms(2);
	MOVLW      3
	MOVWF      R12+0
	MOVLW      151
	MOVWF      R13+0
L_display03:
	DECFSZ     R13+0, 1
	GOTO       L_display03
	DECFSZ     R12+0, 1
	GOTO       L_display03
	NOP
	NOP
;locking_7seg.c,51 :: 		}
L_end_display0:
	RETURN
; end of _display0

_display1:

;locking_7seg.c,52 :: 		void display1() {
;locking_7seg.c,53 :: 		PORTD = 1;//para catodo comn  PORTD=1 para anodo comn PORTD=14 ;
	MOVLW      1
	MOVWF      PORTD+0
;locking_7seg.c,54 :: 		PORTB = display[clv3] ;
	MOVF       _clv3+0, 0
	ADDLW      _display+0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      PORTB+0
;locking_7seg.c,55 :: 		delay_ms(2);
	MOVLW      3
	MOVWF      R12+0
	MOVLW      151
	MOVWF      R13+0
L_display14:
	DECFSZ     R13+0, 1
	GOTO       L_display14
	DECFSZ     R12+0, 1
	GOTO       L_display14
	NOP
	NOP
;locking_7seg.c,56 :: 		PORTD = 2;//para catodo comn  PORTD=1 para anodo comn PORTD=13 ;
	MOVLW      2
	MOVWF      PORTD+0
;locking_7seg.c,57 :: 		PORTB = display[clv2] ;
	MOVF       _clv2+0, 0
	ADDLW      _display+0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      PORTB+0
;locking_7seg.c,58 :: 		delay_ms(2);
	MOVLW      3
	MOVWF      R12+0
	MOVLW      151
	MOVWF      R13+0
L_display15:
	DECFSZ     R13+0, 1
	GOTO       L_display15
	DECFSZ     R12+0, 1
	GOTO       L_display15
	NOP
	NOP
;locking_7seg.c,59 :: 		PORTD = 4;//para catodo comn  PORTD=1 para anodo comn PORTD=11 ;
	MOVLW      4
	MOVWF      PORTD+0
;locking_7seg.c,60 :: 		PORTB = display[clv1] ;
	MOVF       _clv1+0, 0
	ADDLW      _display+0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      PORTB+0
;locking_7seg.c,61 :: 		delay_ms(2);
	MOVLW      3
	MOVWF      R12+0
	MOVLW      151
	MOVWF      R13+0
L_display16:
	DECFSZ     R13+0, 1
	GOTO       L_display16
	DECFSZ     R12+0, 1
	GOTO       L_display16
	NOP
	NOP
;locking_7seg.c,62 :: 		PORTD = 8;//para catodo comn  PORTD=1 para anodo comn PORTD=7;
	MOVLW      8
	MOVWF      PORTD+0
;locking_7seg.c,63 :: 		PORTB = display[clv0] ;
	MOVF       _clv0+0, 0
	ADDLW      _display+0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      PORTB+0
;locking_7seg.c,64 :: 		delay_ms(2);
	MOVLW      3
	MOVWF      R12+0
	MOVLW      151
	MOVWF      R13+0
L_display17:
	DECFSZ     R13+0, 1
	GOTO       L_display17
	DECFSZ     R12+0, 1
	GOTO       L_display17
	NOP
	NOP
;locking_7seg.c,65 :: 		}
L_end_display1:
	RETURN
; end of _display1

_change:

;locking_7seg.c,66 :: 		void change() {
;locking_7seg.c,67 :: 		short int i=0;
	CLRF       change_i_L0+0
;locking_7seg.c,68 :: 		aux=0;
	CLRF       _aux+0
;locking_7seg.c,69 :: 		clv0=0, clv1=0, clv2=0, clv3=0;
	CLRF       _clv0+0
	CLRF       _clv1+0
	CLRF       _clv2+0
	CLRF       _clv3+0
;locking_7seg.c,70 :: 		e0=1, e1=1, e2=1, dato=0;
	MOVLW      1
	MOVWF      _e0+0
	MOVLW      1
	MOVWF      _e1+0
	MOVLW      1
	MOVWF      _e2+0
	CLRF       _dato+0
;locking_7seg.c,71 :: 		for(i=0; i<=3; i++) {
	CLRF       change_i_L0+0
L_change8:
	MOVLW      128
	XORLW      3
	MOVWF      R0+0
	MOVLW      128
	XORWF      change_i_L0+0, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_change9
;locking_7seg.c,72 :: 		display1();
	CALL       _display1+0
;locking_7seg.c,73 :: 		if (Button(&PORTE,0,5,0)) e0=0;
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	CLRF       FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_change11
	CLRF       _e0+0
L_change11:
;locking_7seg.c,74 :: 		if (e0==0 && Button(&PORTE,0,5,1)){ //Si se pulsa y se libera.
	MOVF       _e0+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_change14
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	CLRF       FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_change14
L__change159:
;locking_7seg.c,75 :: 		dato++;             // se decrementa o incrementa dependiendo el caso
	INCF       _dato+0, 1
;locking_7seg.c,76 :: 		e0=1;
	MOVLW      1
	MOVWF      _e0+0
;locking_7seg.c,77 :: 		}
L_change14:
;locking_7seg.c,78 :: 		if(dato==0) {
	MOVF       _dato+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_change15
;locking_7seg.c,79 :: 		if (Button(&PORTE,1,5,0)) e1=0;
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	MOVLW      1
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_change16
	CLRF       _e1+0
L_change16:
;locking_7seg.c,80 :: 		if (e1==0 && Button(&PORTE,1,5,1)){ //Si se pulsa y se libera.
	MOVF       _e1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_change19
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	MOVLW      1
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_change19
L__change158:
;locking_7seg.c,81 :: 		clv0++;             // se decrementa o incrementa dependiendo el caso
	INCF       _clv0+0, 1
;locking_7seg.c,82 :: 		e1=1;
	MOVLW      1
	MOVWF      _e1+0
;locking_7seg.c,83 :: 		}
L_change19:
;locking_7seg.c,84 :: 		if (Button(&PORTE,2,5,0)) e2=0;
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	MOVLW      2
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_change20
	CLRF       _e2+0
L_change20:
;locking_7seg.c,85 :: 		if (e2==0 && Button(&PORTE,2,5,1)){ //Si se pulsa y se libera.
	MOVF       _e2+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_change23
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	MOVLW      2
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_change23
L__change157:
;locking_7seg.c,86 :: 		clv0--;             // se decrementa o incrementa dependiendo el caso
	DECF       _clv0+0, 1
;locking_7seg.c,87 :: 		e2=1;
	MOVLW      1
	MOVWF      _e2+0
;locking_7seg.c,88 :: 		}
L_change23:
;locking_7seg.c,89 :: 		}
L_change15:
;locking_7seg.c,90 :: 		if(dato==1)  {
	MOVF       _dato+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_change24
;locking_7seg.c,91 :: 		if (Button(&PORTE,1,5,0)) e1=0;
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	MOVLW      1
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_change25
	CLRF       _e1+0
L_change25:
;locking_7seg.c,92 :: 		if (e1==0 && Button(&PORTE,1,5,1)){ //Si se pulsa y se libera.
	MOVF       _e1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_change28
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	MOVLW      1
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_change28
L__change156:
;locking_7seg.c,93 :: 		clv1++;             // se decrementa o incrementa dependiendo el caso
	INCF       _clv1+0, 1
;locking_7seg.c,94 :: 		e1=1;
	MOVLW      1
	MOVWF      _e1+0
;locking_7seg.c,95 :: 		}
L_change28:
;locking_7seg.c,96 :: 		if (Button(&PORTE,2,5,0)) e2=0;
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	MOVLW      2
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_change29
	CLRF       _e2+0
L_change29:
;locking_7seg.c,97 :: 		if (e2==0 && Button(&PORTE,2,5,1)){ //Si se pulsa y se libera.
	MOVF       _e2+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_change32
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	MOVLW      2
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_change32
L__change155:
;locking_7seg.c,98 :: 		clv1--;             // se decrementa o incrementa dependiendo el caso
	DECF       _clv1+0, 1
;locking_7seg.c,99 :: 		e2=1;
	MOVLW      1
	MOVWF      _e2+0
;locking_7seg.c,100 :: 		}
L_change32:
;locking_7seg.c,101 :: 		}
L_change24:
;locking_7seg.c,102 :: 		if(dato==2)  {
	MOVF       _dato+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L_change33
;locking_7seg.c,103 :: 		if (Button(&PORTE,1,5,0)) e1=0;
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	MOVLW      1
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_change34
	CLRF       _e1+0
L_change34:
;locking_7seg.c,104 :: 		if (e1==0 && Button(&PORTE,1,5,1)){ //Si se pulsa y se libera.
	MOVF       _e1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_change37
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	MOVLW      1
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_change37
L__change154:
;locking_7seg.c,105 :: 		clv2++;             // se decrementa o incrementa dependiendo el caso
	INCF       _clv2+0, 1
;locking_7seg.c,106 :: 		e1=1;
	MOVLW      1
	MOVWF      _e1+0
;locking_7seg.c,107 :: 		}
L_change37:
;locking_7seg.c,108 :: 		if (Button(&PORTE,2,1,0)) e2=0;
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	MOVLW      2
	MOVWF      FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_change38
	CLRF       _e2+0
L_change38:
;locking_7seg.c,109 :: 		if (e2==0 && Button(&PORTE,2,1,1)){ //Si se pulsa y se libera.
	MOVF       _e2+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_change41
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	MOVLW      2
	MOVWF      FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_change41
L__change153:
;locking_7seg.c,110 :: 		clv2--;             // se decrementa o incrementa dependiendo el caso
	DECF       _clv2+0, 1
;locking_7seg.c,111 :: 		e2=1;
	MOVLW      1
	MOVWF      _e2+0
;locking_7seg.c,112 :: 		}
L_change41:
;locking_7seg.c,113 :: 		}
L_change33:
;locking_7seg.c,114 :: 		if(dato==3)  {
	MOVF       _dato+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L_change42
;locking_7seg.c,115 :: 		if (Button(&PORTE,1,5,0)) e1=0;
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	MOVLW      1
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_change43
	CLRF       _e1+0
L_change43:
;locking_7seg.c,116 :: 		if (e1==0 && Button(&PORTE,1,5,1)){ //Si se pulsa y se libera.
	MOVF       _e1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_change46
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	MOVLW      1
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_change46
L__change152:
;locking_7seg.c,117 :: 		clv3++;          // se decrementa o incrementa dependiendo el caso
	INCF       _clv3+0, 1
;locking_7seg.c,118 :: 		e1=1;
	MOVLW      1
	MOVWF      _e1+0
;locking_7seg.c,119 :: 		}
L_change46:
;locking_7seg.c,120 :: 		if (Button(&PORTE,2,5,0)) e2=0;
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	MOVLW      2
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_change47
	CLRF       _e2+0
L_change47:
;locking_7seg.c,121 :: 		if (e2==0 && Button(&PORTE,2,5,1)){ //Si se pulsa y se libera.
	MOVF       _e2+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_change50
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	MOVLW      2
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_change50
L__change151:
;locking_7seg.c,122 :: 		clv3--;        // se decrementa o incrementa dependiendo el caso
	DECF       _clv3+0, 1
;locking_7seg.c,123 :: 		e2=1;
	MOVLW      1
	MOVWF      _e2+0
;locking_7seg.c,124 :: 		}
L_change50:
;locking_7seg.c,125 :: 		}
L_change42:
;locking_7seg.c,126 :: 		if (Button(&PORTE,0,5,0)&& Button(&PORTE,1,5,0)) aux=1;
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	CLRF       FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_change53
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	MOVLW      1
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_change53
L__change150:
	MOVLW      1
	MOVWF      _aux+0
L_change53:
;locking_7seg.c,127 :: 		if(clv0>9) clv0=0;
	MOVLW      128
	XORLW      9
	MOVWF      R0+0
	MOVLW      128
	XORWF      _clv0+0, 0
	SUBWF      R0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_change54
	CLRF       _clv0+0
L_change54:
;locking_7seg.c,128 :: 		if(clv1>9) clv1=0;
	MOVLW      128
	XORLW      9
	MOVWF      R0+0
	MOVLW      128
	XORWF      _clv1+0, 0
	SUBWF      R0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_change55
	CLRF       _clv1+0
L_change55:
;locking_7seg.c,129 :: 		if(clv2>9) clv2=0;
	MOVLW      128
	XORLW      9
	MOVWF      R0+0
	MOVLW      128
	XORWF      _clv2+0, 0
	SUBWF      R0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_change56
	CLRF       _clv2+0
L_change56:
;locking_7seg.c,130 :: 		if(clv3>9) clv3=0;
	MOVLW      128
	XORLW      9
	MOVWF      R0+0
	MOVLW      128
	XORWF      _clv3+0, 0
	SUBWF      R0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_change57
	CLRF       _clv3+0
L_change57:
;locking_7seg.c,131 :: 		if(clv3<0) clv3=9;
	MOVLW      128
	XORWF      _clv3+0, 0
	MOVWF      R0+0
	MOVLW      128
	XORLW      0
	SUBWF      R0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_change58
	MOVLW      9
	MOVWF      _clv3+0
L_change58:
;locking_7seg.c,132 :: 		if(clv2<0) clv2=9;
	MOVLW      128
	XORWF      _clv2+0, 0
	MOVWF      R0+0
	MOVLW      128
	XORLW      0
	SUBWF      R0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_change59
	MOVLW      9
	MOVWF      _clv2+0
L_change59:
;locking_7seg.c,133 :: 		if(clv1<0) clv1=9;
	MOVLW      128
	XORWF      _clv1+0, 0
	MOVWF      R0+0
	MOVLW      128
	XORLW      0
	SUBWF      R0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_change60
	MOVLW      9
	MOVWF      _clv1+0
L_change60:
;locking_7seg.c,134 :: 		if(clv0<0) clv0=9;
	MOVLW      128
	XORWF      _clv0+0, 0
	MOVWF      R0+0
	MOVLW      128
	XORLW      0
	SUBWF      R0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_change61
	MOVLW      9
	MOVWF      _clv0+0
L_change61:
;locking_7seg.c,135 :: 		if(dato>3)dato=0;
	MOVLW      128
	XORLW      3
	MOVWF      R0+0
	MOVLW      128
	XORWF      _dato+0, 0
	SUBWF      R0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_change62
	CLRF       _dato+0
L_change62:
;locking_7seg.c,136 :: 		if(aux==0) i=0;
	MOVF       _aux+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_change63
	CLRF       change_i_L0+0
L_change63:
;locking_7seg.c,137 :: 		if(aux==1) i=3;
	MOVF       _aux+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_change64
	MOVLW      3
	MOVWF      change_i_L0+0
L_change64:
;locking_7seg.c,71 :: 		for(i=0; i<=3; i++) {
	INCF       change_i_L0+0, 1
;locking_7seg.c,138 :: 		}
	GOTO       L_change8
L_change9:
;locking_7seg.c,140 :: 		EEPROM_Write(0x83,clv0);
	MOVLW      131
	MOVWF      FARG_EEPROM_Write_Address+0
	MOVF       _clv0+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;locking_7seg.c,141 :: 		EEPROM_Write(0x84,clv1);
	MOVLW      132
	MOVWF      FARG_EEPROM_Write_Address+0
	MOVF       _clv1+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;locking_7seg.c,142 :: 		EEPROM_Write(0x85,clv2);
	MOVLW      133
	MOVWF      FARG_EEPROM_Write_Address+0
	MOVF       _clv2+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;locking_7seg.c,143 :: 		EEPROM_Write(0x86,clv3);
	MOVLW      134
	MOVWF      FARG_EEPROM_Write_Address+0
	MOVF       _clv3+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;locking_7seg.c,144 :: 		PORTD=0;
	CLRF       PORTD+0
;locking_7seg.c,145 :: 		RA3_bit=1;
	BSF        RA3_bit+0, BitPos(RA3_bit+0)
;locking_7seg.c,146 :: 		delay_ms(tone);
	MOVLW      195
	MOVWF      R12+0
	MOVLW      205
	MOVWF      R13+0
L_change65:
	DECFSZ     R13+0, 1
	GOTO       L_change65
	DECFSZ     R12+0, 1
	GOTO       L_change65
;locking_7seg.c,147 :: 		RA3_bit=0;
	BCF        RA3_bit+0, BitPos(RA3_bit+0)
;locking_7seg.c,148 :: 		delay_ms(tone);
	MOVLW      195
	MOVWF      R12+0
	MOVLW      205
	MOVWF      R13+0
L_change66:
	DECFSZ     R13+0, 1
	GOTO       L_change66
	DECFSZ     R12+0, 1
	GOTO       L_change66
;locking_7seg.c,149 :: 		}
L_end_change:
	RETURN
; end of _change

_lampara:

;locking_7seg.c,150 :: 		void lampara() {
;locking_7seg.c,151 :: 		short int b=0, a=0;
	CLRF       lampara_b_L0+0
	CLRF       lampara_a_L0+0
;locking_7seg.c,152 :: 		PORTD=0; //para catodo comn poner puerto D en 0, para andodo comn poner 0x0F
	CLRF       PORTD+0
;locking_7seg.c,153 :: 		e0=1;
	MOVLW      1
	MOVWF      _e0+0
;locking_7seg.c,154 :: 		e2=1;
	MOVLW      1
	MOVWF      _e2+0
;locking_7seg.c,155 :: 		RA1_bit=1;
	BSF        RA1_bit+0, BitPos(RA1_bit+0)
;locking_7seg.c,156 :: 		delay_ms(1000);
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L_lampara67:
	DECFSZ     R13+0, 1
	GOTO       L_lampara67
	DECFSZ     R12+0, 1
	GOTO       L_lampara67
	DECFSZ     R11+0, 1
	GOTO       L_lampara67
	NOP
	NOP
;locking_7seg.c,157 :: 		RA1_bit=0;
	BCF        RA1_bit+0, BitPos(RA1_bit+0)
;locking_7seg.c,158 :: 		delay_ms(1000);
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L_lampara68:
	DECFSZ     R13+0, 1
	GOTO       L_lampara68
	DECFSZ     R12+0, 1
	GOTO       L_lampara68
	DECFSZ     R11+0, 1
	GOTO       L_lampara68
	NOP
	NOP
;locking_7seg.c,159 :: 		while (1) {
L_lampara69:
;locking_7seg.c,161 :: 		if (Button(&PORTE,0,5,0)) e0=0;
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	CLRF       FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_lampara71
	CLRF       _e0+0
L_lampara71:
;locking_7seg.c,162 :: 		if (e0==0 && Button(&PORTE,0,1,1)){ //Si se pulsa y se libera.
	MOVF       _e0+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_lampara74
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	CLRF       FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_lampara74
L__lampara161:
;locking_7seg.c,163 :: 		b++;        // se decrementa o incrementa dependiendo el caso
	INCF       lampara_b_L0+0, 1
;locking_7seg.c,164 :: 		e0=1;
	MOVLW      1
	MOVWF      _e0+0
;locking_7seg.c,165 :: 		}
L_lampara74:
;locking_7seg.c,166 :: 		if (Button(&PORTE,2,5,0)) e2=0;
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	MOVLW      2
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_lampara75
	CLRF       _e2+0
L_lampara75:
;locking_7seg.c,167 :: 		if (e2==0 && Button(&PORTE,2,1,1)){ //Si se pulsa y se libera.
	MOVF       _e2+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_lampara78
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	MOVLW      2
	MOVWF      FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_lampara78
L__lampara160:
;locking_7seg.c,168 :: 		a=1; // se decrementa o incrementa dependiendo el caso
	MOVLW      1
	MOVWF      lampara_a_L0+0
;locking_7seg.c,169 :: 		e2=1;
	MOVLW      1
	MOVWF      _e2+0
;locking_7seg.c,170 :: 		}
L_lampara78:
;locking_7seg.c,171 :: 		if(a==1) RA1_bit=0, a=0, change();
	MOVF       lampara_a_L0+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_lampara79
	BCF        RA1_bit+0, BitPos(RA1_bit+0)
	CLRF       lampara_a_L0+0
	CALL       _change+0
L_lampara79:
;locking_7seg.c,172 :: 		if(b==0) RA1_bit=0;
	MOVF       lampara_b_L0+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_lampara80
	BCF        RA1_bit+0, BitPos(RA1_bit+0)
L_lampara80:
;locking_7seg.c,173 :: 		if(b==1) RA1_bit=1;
	MOVF       lampara_b_L0+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_lampara81
	BSF        RA1_bit+0, BitPos(RA1_bit+0)
L_lampara81:
;locking_7seg.c,174 :: 		if(b>1) b=0;
	MOVLW      128
	XORLW      1
	MOVWF      R0+0
	MOVLW      128
	XORWF      lampara_b_L0+0, 0
	SUBWF      R0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_lampara82
	CLRF       lampara_b_L0+0
L_lampara82:
;locking_7seg.c,175 :: 		}
	GOTO       L_lampara69
;locking_7seg.c,176 :: 		}
L_end_lampara:
	RETURN
; end of _lampara

_alarma:

;locking_7seg.c,177 :: 		void alarma() {
;locking_7seg.c,178 :: 		PORTD=0; //para catodo comn poner puerto D en 0, para andodo comn poner 0x0F
	CLRF       PORTD+0
;locking_7seg.c,179 :: 		while(1){
L_alarma83:
;locking_7seg.c,180 :: 		RA3_bit=0;
	BCF        RA3_bit+0, BitPos(RA3_bit+0)
;locking_7seg.c,181 :: 		delay_ms(alarm);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L_alarma85:
	DECFSZ     R13+0, 1
	GOTO       L_alarma85
	DECFSZ     R12+0, 1
	GOTO       L_alarma85
	DECFSZ     R11+0, 1
	GOTO       L_alarma85
	NOP
	NOP
;locking_7seg.c,182 :: 		RA3_bit=1;
	BSF        RA3_bit+0, BitPos(RA3_bit+0)
;locking_7seg.c,183 :: 		delay_ms(alarm);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L_alarma86:
	DECFSZ     R13+0, 1
	GOTO       L_alarma86
	DECFSZ     R12+0, 1
	GOTO       L_alarma86
	DECFSZ     R11+0, 1
	GOTO       L_alarma86
	NOP
	NOP
;locking_7seg.c,184 :: 		}
	GOTO       L_alarma83
;locking_7seg.c,185 :: 		}
L_end_alarma:
	RETURN
; end of _alarma

_chck:

;locking_7seg.c,186 :: 		void chck() {
;locking_7seg.c,187 :: 		clv0=EEPROM_Read(0x83);
	MOVLW      131
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      _clv0+0
;locking_7seg.c,188 :: 		clv1=EEPROM_Read(0x84);
	MOVLW      132
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      _clv1+0
;locking_7seg.c,189 :: 		clv2=EEPROM_Read(0x85);
	MOVLW      133
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      _clv2+0
;locking_7seg.c,190 :: 		clv3=EEPROM_Read(0x86);
	MOVLW      134
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      _clv3+0
;locking_7seg.c,191 :: 		if((n0==clv0) && (n1==clv1) &&(n2==clv2) && (n3==clv3)|| (aux==2))lampara();
	MOVF       _n0+0, 0
	XORWF      _clv0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__chck163
	MOVF       _n1+0, 0
	XORWF      _clv1+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__chck163
	MOVF       _n2+0, 0
	XORWF      _clv2+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__chck163
	MOVF       _n3+0, 0
	XORWF      _clv3+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__chck163
	GOTO       L__chck162
L__chck163:
	MOVF       _aux+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L__chck162
	GOTO       L_chck91
L__chck162:
	CALL       _lampara+0
	GOTO       L_chck92
L_chck91:
;locking_7seg.c,192 :: 		else alarma();
	CALL       _alarma+0
L_chck92:
;locking_7seg.c,193 :: 		}
L_end_chck:
	RETURN
; end of _chck

_password:

;locking_7seg.c,195 :: 		void password() {
;locking_7seg.c,196 :: 		aux=0;
	CLRF       _aux+0
;locking_7seg.c,197 :: 		while (1) {
L_password93:
;locking_7seg.c,198 :: 		display0();
	CALL       _display0+0
;locking_7seg.c,199 :: 		if (Button(&PORTE,0,5,0)) e0=0;
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	CLRF       FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_password95
	CLRF       _e0+0
L_password95:
;locking_7seg.c,200 :: 		if (e0==0 && Button(&PORTE,0,5,1)){ //Si se pulsa y se libera.
	MOVF       _e0+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_password98
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	CLRF       FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_password98
L__password173:
;locking_7seg.c,201 :: 		dato++;             // se decrementa o incrementa dependiendo el caso
	INCF       _dato+0, 1
;locking_7seg.c,202 :: 		e0=1;
	MOVLW      1
	MOVWF      _e0+0
;locking_7seg.c,203 :: 		}
L_password98:
;locking_7seg.c,204 :: 		if(dato==0) {
	MOVF       _dato+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_password99
;locking_7seg.c,205 :: 		if (Button(&PORTE,1,5,0)) e1=0;
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	MOVLW      1
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_password100
	CLRF       _e1+0
L_password100:
;locking_7seg.c,206 :: 		if (e1==0 && Button(&PORTE,1,5,1)){ //Si se pulsa y se libera.
	MOVF       _e1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_password103
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	MOVLW      1
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_password103
L__password172:
;locking_7seg.c,207 :: 		n0++;             // se decrementa o incrementa dependiendo el caso
	INCF       _n0+0, 1
;locking_7seg.c,208 :: 		e1=1;
	MOVLW      1
	MOVWF      _e1+0
;locking_7seg.c,209 :: 		}
L_password103:
;locking_7seg.c,210 :: 		if (Button(&PORTE,2,5,0)) e2=0;
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	MOVLW      2
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_password104
	CLRF       _e2+0
L_password104:
;locking_7seg.c,211 :: 		if (e2==0 && Button(&PORTE,2,5,1)){ //Si se pulsa y se libera.
	MOVF       _e2+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_password107
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	MOVLW      2
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_password107
L__password171:
;locking_7seg.c,212 :: 		n0--;             // se decrementa o incrementa dependiendo el caso
	DECF       _n0+0, 1
;locking_7seg.c,213 :: 		e2=1;
	MOVLW      1
	MOVWF      _e2+0
;locking_7seg.c,214 :: 		}
L_password107:
;locking_7seg.c,215 :: 		}
L_password99:
;locking_7seg.c,216 :: 		if(dato==1)  {
	MOVF       _dato+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_password108
;locking_7seg.c,217 :: 		if (Button(&PORTE,1,5,0)) e1=0;
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	MOVLW      1
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_password109
	CLRF       _e1+0
L_password109:
;locking_7seg.c,218 :: 		if (e1==0 && Button(&PORTE,1,5,1)){ //Si se pulsa y se libera.
	MOVF       _e1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_password112
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	MOVLW      1
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_password112
L__password170:
;locking_7seg.c,219 :: 		n1++;             // se decrementa o incrementa dependiendo el caso
	INCF       _n1+0, 1
;locking_7seg.c,220 :: 		e1=1;
	MOVLW      1
	MOVWF      _e1+0
;locking_7seg.c,221 :: 		}
L_password112:
;locking_7seg.c,222 :: 		if (Button(&PORTE,2,5,0)) e2=0;
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	MOVLW      2
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_password113
	CLRF       _e2+0
L_password113:
;locking_7seg.c,223 :: 		if (e2==0 && Button(&PORTE,2,1,1)){ //Si se pulsa y se libera.
	MOVF       _e2+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_password116
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	MOVLW      2
	MOVWF      FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_password116
L__password169:
;locking_7seg.c,224 :: 		n1--;             // se decrementa o incrementa dependiendo el caso
	DECF       _n1+0, 1
;locking_7seg.c,225 :: 		e2=1;
	MOVLW      1
	MOVWF      _e2+0
;locking_7seg.c,226 :: 		}
L_password116:
;locking_7seg.c,227 :: 		}
L_password108:
;locking_7seg.c,228 :: 		if(dato==2)  {
	MOVF       _dato+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L_password117
;locking_7seg.c,229 :: 		if (Button(&PORTE,1,5,0)) e1=0;
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	MOVLW      1
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_password118
	CLRF       _e1+0
L_password118:
;locking_7seg.c,230 :: 		if (e1==0 && Button(&PORTE,1,5,1)){ //Si se pulsa y se libera.
	MOVF       _e1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_password121
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	MOVLW      1
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_password121
L__password168:
;locking_7seg.c,231 :: 		n2++;             // se decrementa o incrementa dependiendo el caso
	INCF       _n2+0, 1
;locking_7seg.c,232 :: 		e1=1;
	MOVLW      1
	MOVWF      _e1+0
;locking_7seg.c,233 :: 		}
L_password121:
;locking_7seg.c,234 :: 		if (Button(&PORTE,2,5,0)) e2=0;
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	MOVLW      2
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_password122
	CLRF       _e2+0
L_password122:
;locking_7seg.c,235 :: 		if (e2==0 && Button(&PORTE,2,5,1)){ //Si se pulsa y se libera.
	MOVF       _e2+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_password125
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	MOVLW      2
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_password125
L__password167:
;locking_7seg.c,236 :: 		n2--;             // se decrementa o incrementa dependiendo el caso
	DECF       _n2+0, 1
;locking_7seg.c,237 :: 		e2=1;
	MOVLW      1
	MOVWF      _e2+0
;locking_7seg.c,238 :: 		}
L_password125:
;locking_7seg.c,239 :: 		}
L_password117:
;locking_7seg.c,240 :: 		if(dato==3)  {
	MOVF       _dato+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L_password126
;locking_7seg.c,241 :: 		if (Button(&PORTE,1,5,0)) e1=0;
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	MOVLW      1
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_password127
	CLRF       _e1+0
L_password127:
;locking_7seg.c,242 :: 		if (e1==0 && Button(&PORTE,1,1,1)){ //Si se pulsa y se libera.
	MOVF       _e1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_password130
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	MOVLW      1
	MOVWF      FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_password130
L__password166:
;locking_7seg.c,243 :: 		n3++;          // se decrementa o incrementa dependiendo el caso
	INCF       _n3+0, 1
;locking_7seg.c,244 :: 		e1=1;
	MOVLW      1
	MOVWF      _e1+0
;locking_7seg.c,245 :: 		}
L_password130:
;locking_7seg.c,246 :: 		if (Button(&PORTE,2,5,0)) e2=0;
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	MOVLW      2
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_password131
	CLRF       _e2+0
L_password131:
;locking_7seg.c,247 :: 		if (e2==0 && Button(&PORTE,2,1,1)){ //Si se pulsa y se libera.
	MOVF       _e2+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_password134
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	MOVLW      2
	MOVWF      FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_password134
L__password165:
;locking_7seg.c,248 :: 		n3--;        // se decrementa o incrementa dependiendo el caso
	DECF       _n3+0, 1
;locking_7seg.c,249 :: 		e2=1;
	MOVLW      1
	MOVWF      _e2+0
;locking_7seg.c,250 :: 		}
L_password134:
;locking_7seg.c,251 :: 		}
L_password126:
;locking_7seg.c,253 :: 		if (Button(&PORTE,1,5,0)&& Button(&PORTE,0,5,0)) aux=1;
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	MOVLW      1
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_password137
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	CLRF       FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_password137
L__password164:
	MOVLW      1
	MOVWF      _aux+0
L_password137:
;locking_7seg.c,254 :: 		if (Button(&PORTD,7,5,0)) aux=2; // entrada directa
	MOVLW      PORTD+0
	MOVWF      FARG_Button_port+0
	MOVLW      7
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_password138
	MOVLW      2
	MOVWF      _aux+0
L_password138:
;locking_7seg.c,255 :: 		if(aux==2) chck();
	MOVF       _aux+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L_password139
	CALL       _chck+0
L_password139:
;locking_7seg.c,256 :: 		if(aux==1) chck();
	MOVF       _aux+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_password140
	CALL       _chck+0
L_password140:
;locking_7seg.c,257 :: 		if(n0>9) n0=0;
	MOVLW      128
	XORLW      9
	MOVWF      R0+0
	MOVLW      128
	XORWF      _n0+0, 0
	SUBWF      R0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_password141
	CLRF       _n0+0
L_password141:
;locking_7seg.c,258 :: 		if(n1>9) n1=0;
	MOVLW      128
	XORLW      9
	MOVWF      R0+0
	MOVLW      128
	XORWF      _n1+0, 0
	SUBWF      R0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_password142
	CLRF       _n1+0
L_password142:
;locking_7seg.c,259 :: 		if(n2>9) n2=0;
	MOVLW      128
	XORLW      9
	MOVWF      R0+0
	MOVLW      128
	XORWF      _n2+0, 0
	SUBWF      R0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_password143
	CLRF       _n2+0
L_password143:
;locking_7seg.c,260 :: 		if(n3>9) n3=9;
	MOVLW      128
	XORLW      9
	MOVWF      R0+0
	MOVLW      128
	XORWF      _n3+0, 0
	SUBWF      R0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_password144
	MOVLW      9
	MOVWF      _n3+0
L_password144:
;locking_7seg.c,261 :: 		if(n0<0) n0=9;
	MOVLW      128
	XORWF      _n0+0, 0
	MOVWF      R0+0
	MOVLW      128
	XORLW      0
	SUBWF      R0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_password145
	MOVLW      9
	MOVWF      _n0+0
L_password145:
;locking_7seg.c,262 :: 		if(n1<0) n1=9;
	MOVLW      128
	XORWF      _n1+0, 0
	MOVWF      R0+0
	MOVLW      128
	XORLW      0
	SUBWF      R0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_password146
	MOVLW      9
	MOVWF      _n1+0
L_password146:
;locking_7seg.c,263 :: 		if(n2<0) n2=9;
	MOVLW      128
	XORWF      _n2+0, 0
	MOVWF      R0+0
	MOVLW      128
	XORLW      0
	SUBWF      R0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_password147
	MOVLW      9
	MOVWF      _n2+0
L_password147:
;locking_7seg.c,264 :: 		if(n3<0) n3=9;
	MOVLW      128
	XORWF      _n3+0, 0
	MOVWF      R0+0
	MOVLW      128
	XORLW      0
	SUBWF      R0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_password148
	MOVLW      9
	MOVWF      _n3+0
L_password148:
;locking_7seg.c,265 :: 		if(dato>3)dato=0;
	MOVLW      128
	XORLW      3
	MOVWF      R0+0
	MOVLW      128
	XORWF      _dato+0, 0
	SUBWF      R0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_password149
	CLRF       _dato+0
L_password149:
;locking_7seg.c,266 :: 		}
	GOTO       L_password93
;locking_7seg.c,267 :: 		}
L_end_password:
	RETURN
; end of _password

_main:

;locking_7seg.c,268 :: 		void main() {
;locking_7seg.c,269 :: 		set_up();
	CALL       _set_up+0
;locking_7seg.c,270 :: 		password();
	CALL       _password+0
;locking_7seg.c,271 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
