///*********************Numero de acceso*************************************///
///***************clock interno de 4MHz**************************************///
///*********************PIC16F887********************************************///
///******************Autor: JM Palomino**************************************///
///**************************************************************************///
///**************************************************************************///
//NOTA: PORTD se configura como si fuera para catodo comn pero esto es para que
//Funcione la simulacion en el proteus8, usa el .Hex de la carpeta "fisico" para
//Programar el microcontrolador si lo vas a realizar en fisco.
///**************************************************************************///

#define tone 150
#define alarm 500

///para catodo comn {0x3F,0x06,0x5B,0x4F,0x66,0x6D,0x7D,0x07,0x7F,0x67};
unsigned char display[10] = {0xC0,0xF9,0xA4,0xB0,0x99,0x92,0x82,0xF8,0x80,0x90};
short int  aux=0, e0=1, e1=1, e2=1, n0=0, n1=0, n2=0, n3=0;
short int  clv0=0, clv1=0, clv2=0, clv3=0, dato=0;

void set_up() { //funcion de configuracion del microcontrolador Pic16F887

  ANSEL = 0;   // Pin RA2 se configura como una entrada analgica
  ANSELH = 0;    // Los dems pines se configuran como digitales
  C1ON_bit = 0;    // se desactivan los comparadores analgicos
  C2ON_bit = 0;
  CCP1CON = 0;   //PWM1 y PWM2 desactivados.
  CCP2CON = 0;
  TRISB = 0;     // declara al puerto B como salida
  PORTB = 0;     // limpia el puerto B.
  TRISD = 0x80;  // el pin 7 del puerto D se declara como entrada el resto como
  PORTD = 0;     // salida y se limia el resto de pines
  TRISA1_bit=0;    // Pin 1 del puerto A se delcara como salida
  TRISA3_bit=0;    // pin 3 del puerto A se delcara como salida
  RA1_bit=0;
  RA3_bit=0;
  TRISE0_bit=1;  // el pin 0 del puerto E es declarado como entrada
  TRISE1_bit=1;  // el pin 1 del puerto E es declarado como entrada
  TRISE2_bit=1;  // el pin 2 del puerto E es declarado como entrada
}
void display0() {
 PORTD = 1;//para catodo comn  PORTD=1 para anodo comn PORTD=14 ;
 PORTB = display[n3] ;
 delay_ms(2);
 PORTD = 2;//para catodo comn  PORTD=1 para anodo comn PORTD=14 ;
 PORTB = display[n2] ;
 delay_ms(2);
 PORTD = 4;//para catodo comn  PORTD=1 para anodo comn PORTD=14 ;
 PORTB = display[n1] ;
 delay_ms(2);
 PORTD = 8;//para catodo comn  PORTD=1 para anodo comn PORTD=14 ;
 PORTB = display[n0] ;
 delay_ms(2);
}
void display1() {
 PORTD = 1;//para catodo comn  PORTD=1 para anodo comn PORTD=14 ;
 PORTB = display[clv3] ;
 delay_ms(2);
 PORTD = 2;//para catodo comn  PORTD=1 para anodo comn PORTD=13 ;
 PORTB = display[clv2] ;
 delay_ms(2);
 PORTD = 4;//para catodo comn  PORTD=1 para anodo comn PORTD=11 ;
 PORTB = display[clv1] ;
 delay_ms(2);
 PORTD = 8;//para catodo comn  PORTD=1 para anodo comn PORTD=7;
 PORTB = display[clv0] ;
 delay_ms(2);
}
void change() {
short int i=0;
aux=0;
clv0=0, clv1=0, clv2=0, clv3=0;
e0=1, e1=1, e2=1, dato=0;
for(i=0; i<=3; i++) {
  display1();
 if (Button(&PORTE,0,5,0)) e0=0;
   if (e0==0 && Button(&PORTE,0,5,1)){ //Si se pulsa y se libera.
        dato++;             // se decrementa o incrementa dependiendo el caso
        e0=1;
    }
    if(dato==0) {
      if (Button(&PORTE,1,5,0)) e1=0;
      if (e1==0 && Button(&PORTE,1,5,1)){ //Si se pulsa y se libera.
        clv0++;             // se decrementa o incrementa dependiendo el caso
        e1=1;
      }
      if (Button(&PORTE,2,5,0)) e2=0;
      if (e2==0 && Button(&PORTE,2,5,1)){ //Si se pulsa y se libera.
        clv0--;             // se decrementa o incrementa dependiendo el caso
        e2=1;
     }
    }
    if(dato==1)  {
      if (Button(&PORTE,1,5,0)) e1=0;
      if (e1==0 && Button(&PORTE,1,5,1)){ //Si se pulsa y se libera.
        clv1++;             // se decrementa o incrementa dependiendo el caso
        e1=1;
       }
      if (Button(&PORTE,2,5,0)) e2=0;
      if (e2==0 && Button(&PORTE,2,5,1)){ //Si se pulsa y se libera.
        clv1--;             // se decrementa o incrementa dependiendo el caso
        e2=1;
      }
    }
    if(dato==2)  {
      if (Button(&PORTE,1,5,0)) e1=0;
      if (e1==0 && Button(&PORTE,1,5,1)){ //Si se pulsa y se libera.
        clv2++;             // se decrementa o incrementa dependiendo el caso
        e1=1;
      }
      if (Button(&PORTE,2,1,0)) e2=0;
      if (e2==0 && Button(&PORTE,2,1,1)){ //Si se pulsa y se libera.
        clv2--;             // se decrementa o incrementa dependiendo el caso
        e2=1;
     }
    }
    if(dato==3)  {
      if (Button(&PORTE,1,5,0)) e1=0;
      if (e1==0 && Button(&PORTE,1,5,1)){ //Si se pulsa y se libera.
        clv3++;          // se decrementa o incrementa dependiendo el caso
        e1=1;
      }
      if (Button(&PORTE,2,5,0)) e2=0;
      if (e2==0 && Button(&PORTE,2,5,1)){ //Si se pulsa y se libera.
        clv3--;        // se decrementa o incrementa dependiendo el caso
        e2=1;
     }
    }
     if (Button(&PORTE,0,5,0)&& Button(&PORTE,1,5,0)) aux=1;
     if(clv0>9) clv0=0;
     if(clv1>9) clv1=0;
     if(clv2>9) clv2=0;
     if(clv3>9) clv3=0;
     if(clv3<0) clv3=9;
     if(clv2<0) clv2=9;
     if(clv1<0) clv1=9;
     if(clv0<0) clv0=9;
     if(dato>3)dato=0;
     if(aux==0) i=0;
     if(aux==1) i=3;
   }
  //Graba en la eeprom el numero de acceso
  EEPROM_Write(0x83,clv0);
  EEPROM_Write(0x84,clv1);
  EEPROM_Write(0x85,clv2);
  EEPROM_Write(0x86,clv3);
  PORTD=0;
  RA3_bit=1;
  delay_ms(tone);
  RA3_bit=0;
  delay_ms(tone);
 }
void lampara() {
short int b=0, a=0;
PORTD=0; //para catodo comn poner puerto D en 0, para andodo comn poner 0x0F
e0=1;
e2=1;
RA1_bit=1;
delay_ms(1000);
RA1_bit=0;
delay_ms(1000);
while (1) {

   if (Button(&PORTE,0,5,0)) e0=0;
      if (e0==0 && Button(&PORTE,0,1,1)){ //Si se pulsa y se libera.
        b++;        // se decrementa o incrementa dependiendo el caso
        e0=1;
     }
    if (Button(&PORTE,2,5,0)) e2=0;
      if (e2==0 && Button(&PORTE,2,1,1)){ //Si se pulsa y se libera.
        a=1; // se decrementa o incrementa dependiendo el caso
        e2=1;
      }
   if(a==1) RA1_bit=0, a=0, change();
   if(b==0) RA1_bit=0;
   if(b==1) RA1_bit=1;
   if(b>1) b=0;
 }
}
void alarma() {
PORTD=0; //para catodo comn poner puerto D en 0, para andodo comn poner 0x0F
 while(1){
   RA3_bit=0;
   delay_ms(alarm);
   RA3_bit=1;
   delay_ms(alarm);
 }
}
void chck() {
clv0=EEPROM_Read(0x83);
clv1=EEPROM_Read(0x84);
clv2=EEPROM_Read(0x85);
clv3=EEPROM_Read(0x86);
if((n0==clv0) && (n1==clv1) &&(n2==clv2) && (n3==clv3)|| (aux==2))lampara();
else alarma();
}

void password() {
aux=0;
 while (1) {
  display0();
  if (Button(&PORTE,0,5,0)) e0=0;
   if (e0==0 && Button(&PORTE,0,5,1)){ //Si se pulsa y se libera.
        dato++;             // se decrementa o incrementa dependiendo el caso
        e0=1;
    }
    if(dato==0) {
      if (Button(&PORTE,1,5,0)) e1=0;
      if (e1==0 && Button(&PORTE,1,5,1)){ //Si se pulsa y se libera.
        n0++;             // se decrementa o incrementa dependiendo el caso
        e1=1;
      }
      if (Button(&PORTE,2,5,0)) e2=0;
      if (e2==0 && Button(&PORTE,2,5,1)){ //Si se pulsa y se libera.
        n0--;             // se decrementa o incrementa dependiendo el caso
        e2=1;
     }
    }
    if(dato==1)  {
      if (Button(&PORTE,1,5,0)) e1=0;
      if (e1==0 && Button(&PORTE,1,5,1)){ //Si se pulsa y se libera.
        n1++;             // se decrementa o incrementa dependiendo el caso
        e1=1;
       }
      if (Button(&PORTE,2,5,0)) e2=0;
      if (e2==0 && Button(&PORTE,2,1,1)){ //Si se pulsa y se libera.
        n1--;             // se decrementa o incrementa dependiendo el caso
        e2=1;
      }
    }
      if(dato==2)  {
      if (Button(&PORTE,1,5,0)) e1=0;
      if (e1==0 && Button(&PORTE,1,5,1)){ //Si se pulsa y se libera.
        n2++;             // se decrementa o incrementa dependiendo el caso
        e1=1;
      }
      if (Button(&PORTE,2,5,0)) e2=0;
      if (e2==0 && Button(&PORTE,2,5,1)){ //Si se pulsa y se libera.
        n2--;             // se decrementa o incrementa dependiendo el caso
        e2=1;
      }
     }
    if(dato==3)  {
      if (Button(&PORTE,1,5,0)) e1=0;
      if (e1==0 && Button(&PORTE,1,1,1)){ //Si se pulsa y se libera.
        n3++;          // se decrementa o incrementa dependiendo el caso
        e1=1;
      }
      if (Button(&PORTE,2,5,0)) e2=0;
      if (e2==0 && Button(&PORTE,2,1,1)){ //Si se pulsa y se libera.
        n3--;        // se decrementa o incrementa dependiendo el caso
        e2=1;
     }
    }
     //entrada con contrasea
     if (Button(&PORTE,1,5,0)&& Button(&PORTE,0,5,0)) aux=1;
     if (Button(&PORTD,7,5,0)) aux=2; // entrada directa
     if(aux==2) chck();
     if(aux==1) chck();
     if(n0>9) n0=0;
     if(n1>9) n1=0;
     if(n2>9) n2=0;
     if(n3>9) n3=9;
     if(n0<0) n0=9;
     if(n1<0) n1=9;
     if(n2<0) n2=9;
     if(n3<0) n3=9;
     if(dato>3)dato=0;
  }
}
void main() {
   set_up();
   password();
 }